#ifndef __COMMON_H
#define __COMMON_H

#include "type.h"

#define NUL_CODE 0
#define EXP_CODE 1
#define LIN_CODE 2

/* CANVAS_HEIGHT : voir valeur dans "chronogramme.uil"*/
#define CANVAS_HEIGHT 185 /*ordonnee de l' axe des x */ 

/* CANVAS_HEIGHT_BIS : voir valeur dans "chronogramme2.uil"*/
#define CANVAS_HEIGHT_BIS 185 /*ordonnee de l' axe des x */ 

extern struct display_descr basic_clock, basic_clock2;
extern struct display_descr basic_clock_bis, basic_clock2_bis;



extern void putlabel(Widget w, char *c);
extern void make_display_scale(struct rhythm_descr *scale_pt,int X,int Y);

extern bool rupdown(struct rhythm_descr *widgst_pt);
extern int rchange(struct rhythm_descr *widgst_pt);

extern void make_display_descr(struct display_descr *display_pt,int DY);
extern void wiwrite(struct rhythm_descr *widgst_pt,int v);
extern void wrwrite(struct rhythm_descr *widgst_pt,float v);
extern void wnbwrite(struct rhythm_descr *widgst_pt,char str_v[10]);

extern void wiwrite_x( struct display_descr *widgst_pt,int v,int x,int y);
extern void wvline_x(struct display_descr *widgst_pt,long int x1,long int y1,long int y2);
extern void wline_x(struct display_descr *widgst_pt, long int x1, long int y1, long int x2, long int y2);
extern void whline_x(struct display_descr *widgst_pt,long int x1,long int y1,long int x2);
extern void wefface_x(struct display_descr *widgst_pt,long int x1,long int dx,long int dy);

extern void wiwrite_y( struct display_descr *widgst_pt,int v,int x,int y);
extern void wvline_y(struct display_descr *widgst_pt,long int x1,long int y1,long int y2);
extern void wline_y(struct display_descr *widgst_pt, long int x1, long int y1, long int x2, long int y2);
extern void whline_y(struct display_descr *widgst_pt,long int x1,long int y1,long int x2);
extern void wefface_y(struct display_descr *widgst_pt,long int x1,long int dx,long int dy);

extern void trace_echelle_y(struct display_descr *widgst_pt,float p_max,int y_max);

extern int realtoint(float v); 
extern int REALTOINT(float v); 
extern void wstop(int *b);

#endif /* __COMMON_H */

